package p12_kolekcje.zbieranie_danych;

import java.util.Scanner;
import java.util.Set;
import java.util.TreeSet;

public class P4_TreeSet {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		
		Set<String> zbior = new TreeSet<>();
		
		while(true) {
			System.out.print("Podaj imię: ");
			// pusty String oznacza koniec
			String imie = scanner.nextLine();
			if(imie.isEmpty()) {
				break;
			}
			zbior.add(imie);
		}
		
		System.out.println(zbior);
		System.out.println();
		
		// Drugi etap: użytkownik podaje imię, a program sprawdza, czy takie imię istnieje - to jest najbardziej podstawowa operacja dla zbiorów.
		// pusty string kończy
		while(true) {
			System.out.print("Podaj imię: ");
			String imie = scanner.nextLine();
			if(imie.isEmpty()) {
				break;
			}
			if(zbior.contains(imie)) {
				System.out.println("TAK");
			} else {
				System.out.println("NIE");
			}
		}
	}

}
